Serwer prywatny- okienka zamiast ssh


(Kuba Com Pl) #1

Witam!

Zakupiłem ostatnio w ovh serwer prywatny z zainstalowanym Linuxem 5.0 Lenny. Otóż jedyną opcją zarządzania nim to ssh. Niestety tutaj się muszę przyznać ale pierwszy raz widzę ssh na oczy. Słyszałem że jest możliwość zainstalowania odpowienich apliakcji i można łączyć się z serwerem w trybie okienkowym. Problem w tym, że niewiem jak to zrobić i co dokładnie zainstaować. Proszę wszytskich o pomoc!


(mati75) #2
  1. http://jakilinux.org/linux/debian/insta ... /#comments

  2. http://jakilinux.org/linux/debian/freen ... -linuksie/


(Bolo92) #3

wpisz "nx" w google i szczęśliwy traf.


(roobal) #4

Możesz jeszcze uruchamiać aplikacje graficzne przez ssh z przekierowaniem Xservera, spróbuj zalogować się w ten sposób:

ssh -X login@serwer

I możesz uruchamiać dowolną aplikację działającą w trybie graficznym na lokalnym hoscie.

Oprócz tego możesz skorzystać jeszcze z VNC, żeby mieć podgląd pulpitu lub to co zaproponowali koledzy wyżej.

Pozdrawiam!


(Kuba Com Pl) #5

Witam ponowsnie!

Dziękuje wszystkim za pomoc. Skorzystałem do tej pory z http://jakilinux.org/linux/debian/freen ... -linuksie/

Niestety nie mogę zianstalować debów- niewiem dlaczego. W linku screen.http://z1.przeklej.pl/prze2086/0bb48335001f3db54c46c4d5


(Bolo92) #6

Bo jest kolejność co do instalowania NoMachine(NX) i to nawet tam było napisane !!

nxclient

nxnode

nxserver

to samo Ci piszę w konsoli - angielskim guru nie jestem, ale nxserver zależy od nxclient, jednakże nxclient nie jest jeszcze skonfigurowany, to samo z nxnode. Niby jest zainstalowane, ale nie może skonfigurować bo potrzebuje tej kolejności.


(Kuba Com Pl) #7

Witam ponownie- wpisałem poprawnie w kolejności o której była mowa. podsyłam teraz kolejnego screena. Dalej występuje błąd. próbowałem użyć

jednak wtedy usuwa mi pakiety które przedtem usiłowałem zainstalować.

http://z1.przeklej.pl/prze314/17e8b99e0026b0924c46d250


(Bolo92) #8

Trzeciego razu chyba z mojej strony nie będzie co do pomocy ^^

Dopiero pisałem o tym, że konsola wyrzuca z reguły co ni pasuje systemowi i nawet pół zdania przetłumaczyłem jakoś tam, a Ty dalej swoje ^^.

Jak się nie zainstaluje jedno to następnego nie zainstalujesz!! Ty klepiesz w te konsolę na ślepo, nie czytając co tam się dzieje(nie wszystko, ale choć co wpadnie w oko). Nie chciałbym Cię widzieć przy kompilacji programów, gdzie tak jasno nie pokazuje czego brakuje, albo przy NX jak nie wszystko pójdzie tak łatwo jak mi na laptopie(na serwerze szkolnym już siedziałem przy googlach z 5h zanim zrobiłem).

NXClient zależy od libstdc++2.10-glibc2.2(chyba dobrze przepisałem) jednakże ten pakiet nie jest zainstalowany. NXclient pozostanie nieskonfigurowany, a bez NXclient nie poleci NXnode, bez NXnode nie poleci NXserver.

jak używasz apt-geta to apt-cache search libstdc i sprawdź czy to co konsola pokazała znajdzie tam, jak znajdzie to próbuj zainstalować i się trochę pobaw zanim znowu coś napiszesz...

apt-cache depends nxclient zwróci co jest potrzebne nxclientowi.


(Kuba Com Pl) #9

zrobiłem tak ja powiedziałem- wiem co potrzebuje nxclient- jednak w żaden sposób nie mogę zainstalować podstawowej bibliotek libstdc++2.10-glibc2.2

oto co mi się wyświetla:


(roobal) #10

Spróbuj najpierw odświeżyć listę pakietów:

aptitude update

i próbuj instalować, gdyby to nie pomogło to zaktualizuj system:

aptitude upgrade

aptitude dist-upgrade

I próbuj instalować pakiet.

Tak poza tym spróbuj zainstalować libstdc++2 bądź libstdc++-dev.


(Kuba Com Pl) #11

Zaktualizowałem wszytskie pakiety i dalej nic- znów

A dokładnie jakie pakiety? sory ale no nie jestem specem od Linux, po za tym jeśli wiedziałbym to bym nie pytał.

Dzięki roobal i bolo92 za dotychczasową pomoc!


(roobal) #12

No właśnie te, które podałem ale z tego co widzę to w Lennym i nie tylko w nim jest libstdc++5 i libstdc++6 ale proponuję może zamiast libstc++ zainstalować pakiet o nazwie glibc ale z tego co widzę w Lennym jest akurat 2.7. Jaki program w ogóle chcesz zainstalować? Bo chyba nie chodzi już o FreeNX?

Ja rozumiem :slight_smile:

Nie ma sprawy :slight_smile:

Pozdrawiam!


(Bolo92) #13

To na serwerze w szkole - Debian Lenny, u mnie na squeeze(testowa) to samo i te same wersje.

sudo apt-get install libc6 libstdc++6 libaudiofile0

Powinien nxclient ruszyć.

Forum jest od pomagania, ale co do mojego wcześniejszego "wściekania" to za brak myślenia/czytania.

Ja teraz robię w szkolę samba+domena dla uczniów każde konto i mnie już trochę trafia, bo nawet czytanie konsoli nie zawsze daje mi odpowiedź łącznie z google, aż chciałoby się Sambe4 to od razu miałbym AD(Active Directory).

Życzę abyś nie miał takich przygód z NX jak ja w szkole...